Instalar LibreOffice 4 en Ubuntu

El pasado 10 de febrero de 2013 The Document Foundation liberó la versión 4 de la suite LibreOffice. Esta será la suite ofimática que traerá Ubuntu 13.04 . No obstante puede instalarse con seguridad también en Ubuntu 12.04 LTS  y  Ubuntu 12.10. Como sabemos Canonical ha ampliado el tiempo de las versiones con soporte  de larga duración por lo que tendremos Ubuntu 12.04 actualizado hasta el 2017. Después de la pequeña decepción para muchos usuarios de Ubuntu 12.10, esperamos que Ubuntu 13.04 nos dé una alegría. No obstante lo recomendable, sobre todo para Sistemas productivos, es permanecer en Ubuntu 12.04 LTS.

Es por ello que veremos de que forma, usuarios que no van a instalar la nueva versión de Ubuntu, puedan instalar Libreoffice 4 en sus equipos.

 

CONSIDERACIONES PREVIAS

1ª – Si todavía queda algún usuario que parte de OpenOffice, debe saber que ambas suites  no pueden coexistir en el mismo sistema, por lo tanto aquellos que deseen instalar la nueva suite deberán primero desinstalar (si es el caso) OpenOffice. Para ello, nos vamos a una terminal y tecleamos,

sudo apt-get remove openoffice*

 

2ª – En la web de LibreOffice recomiendan (para el caso de instalar la aplicación desde los paquetes disponibles en descarga) desinstalar cualquier versión anterior para evitar posibles errores durante y posteriores a la instalación. Si optásemos por realizar este tipo de instalación eliminaremos todo rastro de una versión previa de la siguiente forma,

sudo apt-get purge libreoffice*

sudo apt-get autoremove libreoffice*

 

3ª – Si ya tenemos una versión LibreOffice instalada, podremos actualizar directamente a la versión disponible desde PPA.

 

Disponemos de dos métodos (opciones) para la instalación de Libreoffice 4: descargando e  instalando los paquetes .deb, o bien desde la PPA oficial . 

 

— Editado 19/07/2013 —

INSTALACIÓN DE LibreOffice 4 en Ubuntu

    OPCIÓN A) – INSTALACIÓN DESDE PPA OFICIAL (sólo disponible en inglés)

    OPCIÓN B) – INSTALACIÓN DESDE LOS PAQUETES .DEB (podemos instalar el paquete de idioma)

________________________________________________________________________________

 

OPCIÓN A) – INSTALACIÓN DESDE PPA OFICIAL (sólo disponible en inglés)

Existe una PPA oficial, pero por lo que se indica permite instalar libreoffice en modo “testing” ya que no han sido probados todos los paquetes con garantias plenas, y el objetivo es que los usuarios los sometan a todo tipo de pruebas antes de ser publicados; se indica que la versión estable para cada versión estará disponible en los repositorios de la misma.

Traducción del texto mostrado en la PPA (launchpad)

«La mayoría de los paquetes de este PPA sólo han experimentado pruebas de menor importancia de hecho, es el lugar para que un público más amplio pruebe los paquetes antes de su publicación en la distro adecuada. En general, este PPA no es para que el usuario medio lo instale sin echarle un vistazo (si se diese el caso, sus paquetes estarían en los principales repositorios). Mejor opción que utilizar los paquetes de la PPA es utilizar el archivo *. Deb que The Document Foundation proporciona en su web….»

 

A.1  – Si ya disponemos de una versión instalada, la actualizamos de la siguiente forma

sudo add-apt-repository ppa:libreoffice/ppa

sudo apt-get update

sudo apt-get upgrade

 

A.2  – Si NO tenemos instalada ninguna versión previa, la instalamos de la siguiente forma

sudo add-apt-repository  ppa:libreoffice/ppa

sudo apt-get update

sudo apt-get install  libreoffice

 

La  instalación lo deja en inglés: NO se encuentra disponible el paquete  libreoffice-l10-es

♦ En mi caso, en un equipo con Ubuntu 12.04 LTS, utilizo el entorno de escritorio Unity con gnome y el paquete de integración de libreoffice 4 con gnome libreoffice-gnome” se instala por defecto; si trabajamos con KDE (esto no puedo asegurarlo) es probable que se instale el paquete “libreoffice-kde“, si no fuese así lo instalaríamos desde la terminal tecleando

sudo apt-get install  libreoffice-kde

 

♦ El menú de la aplicación no se integra en el menú de escritorio en Unity. El paquete “lo-menubar”  que permitía la integración ha sido sustituido en Libreoffice 4.x por el paquete “libreoffice-gtk” . Si instalásemos cualquiera de estos paquetes tendríamos como resultado un Libreoffice 3 sin aplicaciones, es decir totalmente inútil.

 

OPCIÓN B) INSTALACIÓN DESDE LOS PAQUETES .DEB

De esta forma podremos disponer de la última versión liberada en la web de The Document Foundation.

1.- DESCARGAMOS LOS PAQUETES

2.- INSTALAMOS LA SUITE

3.- INSTALAMOS EL PAQUETE CORRESPONDIENTE A NUESTRO IDIOMA

4.- INSTALAMOS EL PAQUETE DE AYUDA


1.- DESCARGAMOS LOS PAQUETES

Ver la 2ª – Consideración Previa

Nos bajamos los paquetes correspondientes a nuestro sistema 32 bits o 64 bits  (paquete de la suite + paquete de idioma + paquete de ayuda) desde la página de descarga  https://es.libreoffice.org/descarga/

Vamos a ver el proceso de instalación para sistemas de 32 bits (se haría igual para sistemas de 64 bits utilizando por supuesto los paquetes correspondientes).

En el momento de la redacción de este artículo los paquetes correspondientes a la última versión liberada son los siguientes:

Instalador principal:  LibreOffice_4.0.2_Linux_x86_deb.tar.gz

Interface de usuario traducida:  LibreOffice_4.0.2_Linux_x86_deb_langpack_es.tar.gz

Ayuda incorporada de LibreOffice:  LibreOffice_4.0.2_Linux_x86_deb_helppack_es.tar.gz

 

2.- INSTALAMOS LA SUITE

Una vez descargado descomprimimos el archivo en la carpeta  /opt (en principio es la carpeta destinada a las aplicaciones que instalamos los usuarios). Para ello nos vamos a una terminal, nos situamos en la carpeta en la que hemos descargado los paquetes y tecleamos

sudo tar xzvf  LibreOffice_4.0.2_Linux_x86_deb.tar.gz  -C /opt

se genera la carpeta  /Libreoffice_4.0.2.2_Linux_x86_deb/DEBS  conteniendo los archivos “.deb“. Los instalamos,

sudo dpkg -i /opt/LibreOffice_4.0.2.2_Linux_x86_deb/DEBS/*.deb

a continuación instalamos el paquete de integración con el escritorio que se encuentra en la carpeta  /LibreOffice_4.0.2.2_Linux_x86_deb/DEBS/desktop-integration

sudo dpkg -i /opt/LibreOffice_4.0.2.2_Linux_x86_deb/DEBS/desktop-integration/*.deb

 

3.- INSTALAMOS EL PAQUETE CORRESPONDIENTE A NUESTRO IDIOMA

Nos situamos en la carpeta donde lo hemos descargado y tecleamos,

sudo tar xzvf  LibreOffice_4.0.2_Linux_x86_deb_langpack_es.tar.gz  -C /opt

se genera la carpeta  /LibreOffice_4.0.2.2_Linux_x86_deb_langpack_es/DEBS  conteniendo los archivos “.deb“. Los instalamos,

sudo dpkg -i /opt/LibreOffice_4.0.2.2_Linux_x86_deb_langpack_es/DEBS/*.deb

 

 4.- INSTALAMOS EL PAQUETE DE AYUDA (esto es opcional)

Nos situamos en la carpeta donde lo hemos descargado y tecleamos,

sudo tar xzvf  LibreOffice_4.0.2_Linux_x86_deb_helppack_es.tar.gz  -C /opt

se genera la carpeta  /LibreOffice_4.0.2.2_Linux_x86_deb_helppack_es/DEBS  conteniendo el archivo “.deb“. Lo instalamos,

sudo dpkg -i /opt/LibreOffice_4.0.2.2_Linux_x86_deb_helppack_es/DEBS/*.deb

 

♦ Finalmente borramos las carpetas con los archivos de instalación; lo haremos desde la terminal con el comando rm ya que  /opt  es una carpeta con permisos especiales y necesitamos permiso de super-usuario. Podemos borrar una a una, o las tres carpetas a la vez utilizando un comodín de la siguiente forma

sudo rm -r  /opt/LibreOffice_4.0.2*

Si no queremos conservar los archivos que descargamos de la web también podemos borrarlos. En este caso basta con seleccionarlos con el ratón y eliminarlos.

 

¡ IMPORTANTE !

Para versiones compatibles anteriores a Ubuntu 13.04, la integración del menú de la aplicación en el menú de escritorio en Unity no es posible. Si instalásemos el paquete  lo-menubar  o el paquete  libreoffice-gtk   tendríamos como resultado un retroceso a Libreoffice 3 pero carente de aplicaciones, es decir una cáscara vacía y totalmente inútil.

 

Una vez finalizada la instalación accedemos a todos los componentes de LibreOffice 4 desde  Inicio -> Aplicaciones

LibreOffice4

También podemos ampliar la funcionalidad de LibreOffice añadiendo  “plantillas” y “extensiones” : Plantillas LibreOffice

Fuentes -> LibreOffice, wikidocumentfoundation

 

Publicado el 24 abril, 2013 en Aplicaciones, Linux, Ubuntu y etiquetado en , , , , , , . Guarda el enlace permanente. 11 comentarios.

  1. Hola, qué difícil me resulta instalar esos malditos .tar.gz, deberían ser todos .deb… maldición!!

    • Si te refieres a este caso en concreto, en realidad son .deb, lo que pasa es que vienen comprimidos, simplemente hay que descomprimirlos y ya tienes los .deb
      También existe la posibilidad de descargar el/los archivo/s fuente pero claro luego hay que compilarlos para poder instalarlos….supongo que este es el caso que te resulta más complicado; al principio es así pero luego te acostumbras.
      Algunos programas vas a tener que compilarlos sí o sí: por ejemplo cuando el desarrollador sólo proporciona las fuentes, o también cuando no existe candidato para la versión de tu Sistema Operativo.

  2. Hola.
    * Les hago una consulta, tengo instalado libreoffice 4.0.4.2 desde repositorios en Ubuntu 12.04 (con Unitiy). Cuando intento instalar lo-menubar, recibo un mensaje de conflicto con libreoffice-gtk. Desinstalo libreoffice-gtk, y cuando intento nuevamente la instalación de lo-menubar, recibo el siguiente mensaje: “problema de dependencias impiden la instalación, libreoffice-gtk no va a ser instalado”. Alguna sugerencia?
    * Muchas Gracias por todo “lavidaestux”

    • Hola Marcelo.
      Desde que fué liberada Libreoffice 4.0 se han producido cambios que afectan a la instalación. Después de ver tu comentario, me he propuesto reproducir el problema que te ha surgido y he llegado a las siguientes conclusiones:
      -Ubuntu 13.04 dispone en sus repositorios de la versión Libreoffice 4.0.2.2 la cual se integra perfectamente con Unity (dispone de paquetes específicos que afectan a dicha integración “libreoffice-gtk”, pero no “lo-menubar”.

      -Ubuntu 12.04 LTS dispone en sus repositorios de la versión Libreoffice 3, la cual puede integrarse también con Unity. Podemos instalar Libreoffice 4.X pero teniendo en cuenta lo siguiente:
      * Desde PPA oficial (version testing) podemos instalarlo obteniendo actualizaciones a medida que vayan apareciendo pero ya no existe el paquete para ponerlo en español. Se instala por defecto el paquete para el escritorio gnome (es posible que a quien utilice el escritorio kde se le instale el paquete correspondiente). Tampoco es posible su integración plena con Unity; si tratamos de instalar cualquiera de los paquetes siguientes “lo-menubar” o “libreoffice-gtk” -> libreoffice 4 desaparece y se muestra libreoffice 3 pero sin sus aplicaciones (es como una cáscara vacía).
      * Desde los paquetes “.deb” podemos instalarlo con todas sus funcionalidades, podemos ponerlo en español, pero no podemos hacer que se integre en el escritorio con Unity. Tratar de instalar cualquiera de los paquetes “lo-menubar” o “libreoffice-gtk” provoca el mismo efecto que si lo instalásemos siguiendo la opción de la PPA oficial, o sea una cáscara vacía.

      Yo he optado por instalarlo desde los paquetes “.deb”; si bién su menú no se integra en el escritorio con Unity, si se puede instalar el paquete de idioma.

      Espero al menos haber resuelto tus dudas.
      —————
      Editaré el artículo para dejarlo actualizado.

  3. Buen dia

    descargue el paquete LibreOffice_4.1.0.4_Linux_x86_deb lo deje en el escritorio , trate de realizar el paso que sigue , sudo tar xzvf LibreOffice_4.1.0.4_Linux_x86_deb.tar.gz -C /opt , pero por alguna razon que no se me dice el siguiente error

    familia@familia-P4M900-M7-FE:~/Escritorio$ sudo tar xzvf LibreOffice_4.1.0.4_Linux_x86_deb.tar.gz -C /opt
    tar (child): LibreOffice_4.1.0.4_Linux_x86_deb.tar.gz: No se puede open: No existe el archivo o el directorio
    tar (child): Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error is not recoverable: exiting now

    Por favor me podrian colaborar soy un poco nuevo con linux , gracias

    • Hola JhonF.
      Mueve el archivo a una carpeta, no lo dejes en el Escritorio; En las últimas versiones Ubuntu trata que los usuarios no utilicemos el Escritorio como una carpeta de trabajo, incluso han inhabilitado opciones como la de poner lanzadores de aplicaciones. Si bien podemos habilitar el escritorio, es posible que ciertas operaciones puedan presentar algún tipo de problema.
      Haz lo siguiente:
      1º – Mueve el archivo por ejemplo a la carpeta Descargas.
      2º – Abre una terminal y sitúate en esa carpeta tecleando: cd Descargas
      3º – Ahora ya te encuentras en la misma ruta que el archivo y puedes ejecutar el comando:

      sudo tar xzvf LibreOffice_4.1.0.4_Linux_x86_deb.tar.gz -C /opt

      No deberia lanzarte ningún error (si te sigue dando error comprueba que el paquete se ha descargado correctamente).

  4. David Martinez

    Muy bueno lo segui y me funciono de maravilla solo ay que sustituir la siguiente linea

    sudo dpkg -i /opt/LibreOffice_4.0.2.2_Linux_x86_deb/DEBS/desktop-integration/*.deb

    por :

    sudo dpkg -i /opt/LibreOffice_4.1.0.4_Linux_x86_deb/DEBS/libobasis4.1-gnome-integration_4.1.0.4-4_i386.deb

    Nota arriba sale _4.0.2.2 y yo abajo puse 4.1.0.4
    eso depende de la version que os descargueis

  5. Lo instalé y claro, la interfaz en ingles no me agrada, por lo cual me di una vuelta por synaptic y ahí estaba el paquete libreoffice-l10-es, así que problema resulto…

  6. Bueno, me sirvio de maravilla.

  7. Xoan Anton Piñeiro Dios

    Yo los tengo descargados en la carpeta Descargas ¿Cual sería la ruta?

    • OPCIÓN B), punto 2 .- “…Para ello nos vamos a una terminal, nos situamos en la carpeta en la que hemos descargado los paquetes y tecleamos…”

      Sigues a partir de ahí teniendo en cuenta el “nombre”y las rutas internas de los paquetes que has descargado, porque obviamente serán distintas a las que se indican en el artículo, ya que cambia el número que hace referencia a la versión.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s